Package classycle.dependency

# Class CheckSetStatement

java.lang.Object
classycle.dependency.CheckSetStatement

All Implemented Interfaces:
  `Statement`

public class CheckSetStatement extends Object implements Statement

## Constructor Summary

Constructors
Constructor
Description
`CheckSetStatement(StringPattern set, classycle.dependency.SetDefinitionRepository repository)`

## Method Summary

Modifier and Type
Method
Description
`Result`
`execute(AtomicVertex[] graph)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CheckSetStatement

public CheckSetStatement(StringPattern set, classycle.dependency.SetDefinitionRepository repository)

## Method Details

### execute

public Result execute(AtomicVertex[] graph)

Specified by:
  `execute` in interface `Statement`

### toString

public String toString()

Overrides:
  `toString` in class `Object`